Package com.io7m.idstore.protocol.user.cb

# Record Class IdU1CommandPasswordUpdate

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.cb.IdU1CommandPasswordUpdate

Record Components:
  `fieldPassword` - The new password.
  `fieldPasswordConfirm` - The password confirmation.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdUType`, `ProtocolIdUv1Type`

public record IdU1CommandPasswordUpdate(com.io7m.cedarbridge.runtime.api.CBString fieldPassword, com.io7m.cedarbridge.runtime.api.CBString fieldPasswordConfirm) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdUv1Type
A request to update the user's password.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdU1CommandPasswordUpdate(com.io7m.cedarbridge.runtime.api.CBString fieldPassword, com.io7m.cedarbridge.runtime.api.CBString fieldPasswordConfirm)`
  Creates an instance of a `IdU1CommandPasswordUpdate` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdU1CommandPasswordUpdate`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdU1CommandPasswordUpdate.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldPassword()`
  Returns the value of the `fieldPassword` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldPasswordConfirm()`
  Returns the value of the `fieldPasswordConfirm` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1CommandPasswordUpdate $x)`
  Serialize a value of type IdU1CommandPasswordUpdate.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdU1CommandPasswordUpdate

    public IdU1CommandPasswordUpdate(com.io7m.cedarbridge.runtime.api.CBString fieldPassword, com.io7m.cedarbridge.runtime.api.CBString fieldPasswordConfirm)
    Creates an instance of a `IdU1CommandPasswordUpdate` record class.
    Parameters:
      `fieldPassword` - the value for the `fieldPassword` record component
      `fieldPasswordConfirm` - the value for the `fieldPasswordConfirm` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1CommandPasswordUpdate $x) throws IOException
    Serialize a value of type IdU1CommandPasswordUpdate.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdU1CommandPasswordUpdate deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdU1CommandPasswordUpdate.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdU1CommandPasswordUpdate.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldPassword

    public com.io7m.cedarbridge.runtime.api.CBString fieldPassword()
    Returns the value of the `fieldPassword` record component.
    Returns:
      the value of the `fieldPassword` record component

  - ### fieldPasswordConfirm

    public com.io7m.cedarbridge.runtime.api.CBString fieldPasswordConfirm()
    Returns the value of the `fieldPasswordConfirm` record component.
    Returns:
      the value of the `fieldPasswordConfirm` record component